import type { RouteRecordRaw } from "vue-router"

/** 静态路由 */
export const constRoutes: Array<RouteRecordRaw> = [
  {
    path: "/",
    redirect: "/pptEditor"
  },
  {
    path: "/pptEditor",
    name: "pptEditor",
    component: () => import("@/views/pptEditor")
  },
  {
    path: "/pptScreen",
    name: "pptScreen",
    component: () => import("@/views/pptScreen")
  },
  {
    path: "/mobileScreen",
    name: "mobile",
    component: () => import("@/views/mobileScreen")
  },
  {
    path: "/login",
    name: "login",
    component: () => import("@/viewsframe/login")
  },
  {
    path: "/:pathMatch(.*)*",
    name: "errorPage",
    component: () => import("@/viewsframe/errorPage")
  }
]
